import arklog

from mocka.configuration import Configuration
from mocka.endpoint import MockActivityEndpoint
from mocka import __version__

def get_application(configuration: Configuration):
    arklog.set_config_logging()
    app = MockActivityEndpoint(
        version = __version__,
        title = "Mock Activity Endpoint",
        description = "Mock Activity Endpoint",
        configuration=configuration
    )
    return app
